<!-- -------------------- SEARCH BAR -------------------- -->
<!-- <form action="/search" method="get"> -->
<!-- <form action="/search"> -->
<form method="POST">
    <!-- <input type="search" id="search-input" class="search-bar" name="search_query" placeholder="Search reference..."> -->
    <input type="text" name="user_input" placeholder="Search reference...">
    <!-- récupérable via request.args.get('search_query') ou request.form['search_query'] -->
    <button type="submit">Rechercher</button>
</form>



<!-- -------------------- SAVED RECORDS -------------------- -->
{% for request in user_requests %}

    <div>{{ request }}</div>
    <form method="POST">
        <button type="submit" name="remove_item" value="{{ request }}">x</button>
    </form>

{% endfor %}



<!-- -------------------- DISPLAY RESULTS -------------------- -->
<p># RecordType = RecordID|StringFilters|FormFilters|LevelFilters|Traits|NONE|Chance</p>
<p># Item = RecordID|StringFilters|FormFilters|LevelFilters|Traits|ItemCount|Chance</p>
<p># Package = RecordID|StringFilters|FormFilters|LevelFilters|Traits|PackageIdx|Chance</p>

{{ user_selection }}
{{ user_records._get_value() }}



<!-- -------------------- VARIOUS TESTS -------------------- -->
<form method="POST">
    <label for="my_select">Choisissez une option :</label>
    <select id="my_select" name="selected_option">

        {% for skill in Skills %}
            <option value={{ skill }}>{{ skill.name }}</option>
        {% endfor %}

    </select>
    <button type="submit">Envoyer</button>
</form>




<form method="POST">
    <!-- <input type="text" name="test" placeholder="TEST..." style="display: none;"> -->
    <!-- <input type="text" name="test" placeholder="TEST..."> -->
    <button type="submit" name="test">Rechercher</button>
</form>
<form method="POST">
    <button type="submit" name="gogogadgeto">Rechercher</button>
</form>
<!-- <button class="btn" id="myButton" onclick="executeCode()">Salut</button> -->
<!-- <button class="btn" id="myButton">Salut</button> -->


<form method="POST">
    <label for="range_input">Chance :</label>
    <input type="range" id="range_input" name="range_input" min="0" max="100">
    <button type="submit">Envoyer</button>
</form>


<script>
    // document.getElementById("myButton").addEventListener("click", function(){
    //   fetch('/execute_code')
    //     .then(response => response.json())
    //     .then(data => console.log(data));
    // });
    function executeCode() {
        fetch('/execute_code')
        .then(fetch('/index'))
        // .then(location.reload());
    }
    // function executeCode() {
    //     fetch('/execute_code')
    //     .then(response => response.json())
    //     .then(data => {
    //         // Mettre à jour le contenu de la page avec le résultat de la requête
    //         document.getElementById('result').innerText = data.result;
    //     });
    // }
</script>